play.utils

## Class OS

- java.lang.Object
- - play.utils.OS

    public class OS
    extends java.lang.Object

Os detections

### Constructor Summary

Constructors
Constructor and Description
`OS()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isMac()`
`static boolean` `isSolaris()`
`static boolean` `isUnix()`
`static boolean` `isWindows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OS

    public OS()

### Method Detail

#### isWindows

    public static boolean isWindows()

#### isMac

    public static boolean isMac()

#### isUnix

    public static boolean isUnix()

#### isSolaris

    public static boolean isSolaris()